%define major 8
%define gi_version 3.0
%define libname	%mklibname gnomekbd  %{major}
%define giname %mklibname gnomekbd-gir %{gi_version}
%define libnamedev %mklibname -d gnomekbd

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}


Summary:		GNOME keyboard libraries
Name:			libgnomekbd
Version:		3.28.1
Release:		%mkrel 1
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:		LGPLv2+
Group:			System/Libraries
Url:			https://www.gnome.org/
BuildRequires:		gettext-devel
BuildRequires:		pkgconfig(gdk-3.0) >= 2.91.7
BuildRequires:		pkgconfig(gio-2.0) >= 2.18
BuildRequires:		pkgconfig(glib-2.0) >= 2.18
BuildRequires:		pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:		pkgconfig(libxklavier) >= 5.1
BuildRequires:		pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:		meson

%description
GNOME keyboard indicator plugin

#--------------------------------------------------------------------

%package common
Summary:		Files used by GNOME keyboard libraries
Group:			%{group}
Conflicts:		%{name} < 2.1.90-2mdv
Conflicts:		gnome-control-center < 2.18.0
Obsoletes:		libgnomekbd < 3.4.0

%description common
Files used by GNOME keyboard library

#--------------------------------------------------------------------

%package -n %{libname}
Summary:		Dynamic libraries for GNOME applications
Group:			%{group}
Requires:		%{name}-common >= %{version}

%description -n %{libname}
GNOME keyboard library

#--------------------------------------------------------------------

%package -n %{giname}
Summary:		GObject Introspection interface library for %{name}
Group:			System/Libraries
Requires:		%{libname} = %{version}-%{release}

%description -n %{giname}
GObject Introspection interface library for %{name}.

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:		Static libraries, include files for GNOME
Group:			Development/GNOME and GTK+
Provides:		%{name}-devel = %{version}-%{release}
Requires:		%{libname} = %{version}
Requires:		%{giname} = %{version}
Obsoletes:		%mklibname -d gnomekbd 1

%description -n %{libnamedev}
Static library and headers file needed in order to develop
applications using the GNOME keyboard library

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%files common -f %name.lang
%doc NEWS ChangeLog
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%{_bindir}/gkbd-keyboard-display
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/libgnomekbd/

%files -n %{libname}
%{_libdir}/libgnomekbd*.so.%{major}{,.*}

%files -n %{giname}
%{_libdir}/girepository-1.0/Gkbd-%{gi_version}.typelib

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so 
%{_datadir}/gir-1.0/Gkbd-3.0.gir



%changelog
* Tue Sep 20 2022 tv <tv> 3.28.1-1.mga9
+ Revision: 1890765
- Remove no more necessary patch
- Update to 3.28.1
- Switch to meson build system

* Wed Mar 30 2022 umeabot <umeabot> 3.26.1-3.mga9
+ Revision: 1835186
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 3.26.1-2.mga8
+ Revision: 1522697
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Feb 06 2019 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1363704
- new version 3.26.1

* Sun Sep 23 2018 umeabot <umeabot> 3.26.0-2.mga7
+ Revision: 1298878
- Mageia 7 Mass Rebuild
+ wally <wally>
- drop unneeded chrpath usage
+ kekepower <kekepower>
- Use new make macros

* Fri Sep 22 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1157067
- new release

* Mon Sep 26 2016 tv <tv> 3.22.0.1-2.mga6
+ Revision: 1056834
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0.1-1.mga6
+ Revision: 1054898
- new version 3.22.0.1

* Mon Feb 15 2016 umeabot <umeabot> 3.6.0-9.mga6
+ Revision: 961005
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 wally <wally> 3.6.0-8.mga6
+ Revision: 849008
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 3.6.0-7.mga6
+ Revision: 847540
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.6.0-6.mga5
+ Revision: 744159
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.6.0-5.mga5
+ Revision: 731178
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.6.0-4.mga5
+ Revision: 681498
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.6.0-3.mga4
+ Revision: 507025
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 357265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297523
- new version 3.6.0

* Sat Aug 25 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283775
- new version 3.5.90

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 264125
- update major
- new version 3.5.2

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0.2-1.mga2
+ Revision: 227113
- drop patch1 (merged upstream)
- new version 3.4.0.2

* Mon Mar 26 2012 blino <blino> 3.4.0.1-2.mga2
+ Revision: 226605
- fix segfault at gnome-settings-daemon startup

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226500
- drop patch1, patch reverted upstream

* Sun Mar 25 2012 ovitters <ovitters> 3.4.0-2.mga2
+ Revision: 226458
- add patch to revert upstream memleak commit; causes crashes

* Sun Mar 25 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226362
- update file list and kill+obsolete libgnomekbd subpackage
- new version 3.4.0

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212266
- add patch to fix linking against gmodule-2.0
+ ovitters <ovitters>
- new version

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149668
- new version 3.2.0

* Thu Sep 22 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146646
- new version 3.1.92
- br chrpath
- new version 3.1.90

* Tue Jul 19 2011 wally <wally> 3.0.0.1-4.mga2
+ Revision: 126705
- drop unneeded post and preun scripts
- clean .spec

* Fri Jul 08 2011 cjw <cjw> 3.0.0.1-3.mga2
+ Revision: 120004
- put gobject introspection typelib in a separate package
- rebuild to add automatic typelib deps and provides

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.0.1-2.mga2
+ Revision: 101709
- Fix file list
- Fix file list
- Fix file list
- Fix file list
- New version 3.0.0.1
  Sync with fedora

* Wed Jan 19 2011 blino <blino> 2.32.0-2.mga1
+ Revision: 24839
- remove old conflicts and obsoletes
- remove old ldconfig scriptlets
- imported package libgnomekbd

